#ifndef __I3dExDeformationZone__
#define __I3dExDeformationZone__
/****************************************************************************************

		I3dExDeformationZone.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		Author:	Arnaud
		Date:	11/13/98

		Revision History

		when		who					what & why
		==========	=================	===========================================
		08/11/99	Guillaume&Christy	Added inheritance to all the Basic* classes

*****************************************************************************************/

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "ApiTypes.h"

// {58DBAA82-7AE3-11d2-AE85-00AA00D307EB}
MCDEFINE_GUID2(IID_I3DExDeformationZone, R_IID_I3DExDeformationZone);

/// This interface is unused at this point.
///
struct I3DExDeformationZone : public IMCUnknown
{
	//The 3 following functions MUST be implemented for coherent results
	virtual boolean MCCOMAPI IsVertexInDeformationZone( const TVector3 &vertex) const = 0;
	virtual MCCOMErr MCCOMAPI DistanceToZoneBorder( const TVector3 &vertex, real &distance) const = 0;
	virtual MCCOMErr MCCOMAPI GetZoneCenter( TVector3 &center) const =0;
};
#endif
